Page MenuHomePhabricator

WikimediaUI theme: Reduce whitespace of CheckboxMultiselectInputWidget and RadioSelectInputWidget in flatlists
Closed, ResolvedPublic

Description

As of v0.23.3, the inner structure of CheckboxMultiselectInputWidget and RadioSelectInputWidget in flatlists results in unwanted whitespace:

.oo-ui-checkboxMultiselectInputWidget .oo-ui-fieldLayout .oo-ui-fieldLayout-body {
    padding: 0.3125em 0;
}
BeforeAfter
highlights: aquamarine padding, coral content height

Event Timeline

Volker_E created this task.Oct 7 2017, 4:03 AM
Volker_E updated the task description. (Show Details)Oct 7 2017, 4:09 AM
Volker_E renamed this task from WikimediaUI theme: Reduce whitespace of checkboxes and radios in flatlists to WikimediaUI theme: Reduce whitespace of CheckboxMultiselectInputWidget and RadioSelectInputWidget in flatlists.Oct 7 2017, 4:16 AM
Volker_E updated the task description. (Show Details)

Change 382935 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] WikimediaUI theme: Reduce Checkbox*- & RadioSelectInputWidget vertical space

https://gerrit.wikimedia.org/r/382935

Change 382935 merged by jenkins-bot:
[oojs/ui@master] WikimediaUI theme: Reduce Checkbox*- & RadioSelectInputWidget vertical space

https://gerrit.wikimedia.org/r/382935

Volker_E edited projects, added OOUI; removed Patch-For-Review.Nov 1 2017, 11:30 PM
Volker_E removed a subscriber: gerritbot.
Volker_E raised the priority of this task from High to Needs Triage.Aug 22 2018, 12:48 AM
Volker_E moved this task from Backlog to Next-up on the OOUI board.
Volker_E moved this task from Next-up to Backlog on the OOUI board.Oct 25 2018, 3:03 AM

Change 327039 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] HTMLForm OOUI Flatlist: Reduce margin slightly

https://gerrit.wikimedia.org/r/327039

Change 327039 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm OOUI Flatlist: Reduce margin slightly

https://gerrit.wikimedia.org/r/327039

matmarex closed this task as Resolved.Dec 18 2018, 1:36 PM
Volker_E updated the task description. (Show Details)Dec 18 2018, 8:56 PM